/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.impl;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.saas.db.TenantEntityService;
import net.northking.cctp.scriptcase.db.dao.AtuElementGroupDao;
import net.northking.cctp.scriptcase.db.entity.AtuElementGroup;
import net.northking.cctp.scriptcase.db.service.AtuElementGroupService;
import net.northking.cctp.scriptcase.dto.elementLibrary.AtuElementGroupDetailDto;
import net.northking.cctp.scriptcase.dto.elementLibrary.AtuElementGroupMoveDto;
import net.northking.cctp.scriptcase.dto.elementLibrary.AtuElementGroupQueryDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 元素目录管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-11-04 09:57:41  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuElementGroupServiceImpl")
public class AtuElementGroupServiceImpl extends TenantEntityService<AtuElementGroup> implements AtuElementGroupService
{
private static final Logger logger = LoggerFactory.getLogger(AtuElementGroupServiceImpl.class);

  private final AtuElementGroupDao atuElementGroupDao;

  public AtuElementGroupServiceImpl(AtuElementGroupDao atuElementGroupDao) {this.atuElementGroupDao = atuElementGroupDao;}

  public BasicDao<AtuElementGroup> getDao() {return atuElementGroupDao;}

  public AtuElementGroup createEntity() { return new AtuElementGroup();}





  @Override
  public int updateChildNamePath(AtuElementGroup childTrees, String namePathNew) {
    return atuElementGroupDao.updateChildNamePath(childTrees, namePathNew);
  }

  @Override
  public List<AtuElementGroupDetailDto> selectElementTree(AtuElementGroupQueryDto elementGroupQueryDto) {
    return atuElementGroupDao.selectElementTree(elementGroupQueryDto);
  }

  @Override
  public List<AtuElementGroup> queryByIds(List<String> list) {
    return atuElementGroupDao.queryByIds(list);
  }

  @Override
  public int countMaxLevelNo(AtuElementGroup queryLevel) {
    return atuElementGroupDao.countMaxLevelNo(queryLevel);
  }

  @Override
  public void updateSeqByMove(AtuElementGroupMoveDto childUp) {
    atuElementGroupDao.updateSeqByMove(childUp);
  }

  @Override
  public int updateChildIdPath(AtuElementGroup child, String idPath) {
    return atuElementGroupDao.updateChildIdPath(child, idPath);
  }

    @Override
    public List<String> queryChildrenTreeIds(String treeId) {
      return atuElementGroupDao.queryChildrenTreeIds(treeId);
    }
}

